Bug 56861 - destructors of static members in template class do not get called
Summary: destructors of static members in template class do not get called
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-29 01:40 UTC by Aaron Lunansky
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 18:35:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case demonstrating bug (750 bytes, text/plain)
2001-11-29 01:41 UTC, Aaron Lunansky
no flags Details

Description Aaron Lunansky 2001-11-29 01:40:25 UTC
Description of Problem:

The destructor of static members in a template class are not called. 

Version-Release number of selected component (if applicable):

gcc 2.96-81, gcc 2.96-99

How Reproducible:

100%

Steps to Reproduce:
1. $ g++ -O0 destructor_test.cpp -o destructor_test
2. $ ./destructor_test

Actual Results:

Simple()

Expected Results:

Simple()
~Simple()

Additional Information:

Does not occur with gcc 3.01 or gcc 2.95.2 on the same system.

puffin) 17:32:26 test $ rpm -qa | grep glibc
compat-glibc-6.2-2.1.3.2
glibc-2.2.2-10
glibc-common-2.2.2-10
glibc-devel-2.2.2-10
glibc-profile-2.2.2-10

Fails with binutils shipped with 7.1 as well as binutils2.11.92.05

Comment 1 Aaron Lunansky 2001-11-29 01:41:58 UTC
Created attachment 39006 [details]
Test case demonstrating bug

Comment 2 Alan Cox 2002-12-15 18:35:55 UTC
Ok in g++ 3.2



Note You need to log in before you can comment on or make changes to this bug.